SendLit logoSendLit Docs
API ReferenceSequences

List broadcasts or sequences

GET
/sequences
x-sendlit-apikey<token>

In: header

Query Parameters

type*string
Value in"broadcast" | "sequence"
offset?integer
Range1 <= value
itemsPerPage?integer
Range1 <= value

Response Body

application/json

curl -X GET "https://api.sendlit.dev/sequences?type=broadcast"
{
  "items": [
    {
      "sequenceId": "string",
      "type": "string",
      "title": "string",
      "status": "string",
      "deliverySource": {
        "type": "organization"
      },
      "triggerType": "string",
      "triggerData": "string",
      "filter": null,
      "excludeFilter": null,
      "emailsOrder": [
        "string"
      ],
      "entrants": [
        "string"
      ],
      "report": null,
      "createdAt": "string",
      "updatedAt": "string",
      "emails": [
        {
          "emailId": "string",
          "subject": "string",
          "content": {
            "style": {
              "property1": null,
              "property2": null
            },
            "meta": {
              "property1": null,
              "property2": null
            },
            "content": [
              {
                "property1": null,
                "property2": null
              }
            ]
          },
          "delayInMillis": 0,
          "published": true,
          "templateId": "string",
          "actionType": "string",
          "actionData": {
            "property1": null,
            "property2": null
          },
          "createdAt": "string",
          "updatedAt": "string"
        }
      ]
    }
  ],
  "total": 0
}